<?php

namespace app\admin\model;

use think\Model;


class CourseVideoModel extends Model
{
    // 表名
    protected $name = 'course_video';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = false;

    // 定义时间戳字段名
    protected $createTime = false;
    protected $updateTime = false;
    protected $deleteTime = false;

// 追加属性
    protected $append = [
        'status_text',
        'index_type_text',
    ];

    public function getStatusList()
    {
        return ['1' => __('status 1'), '0' => __('status 0')];
    }
    public function getIndexTypeList()
    {
        return ['1' => __('indexType 1'), '2' => __('indexType 2')];
    }
    public function admin(){
        return self::hasOne("Admin",'id',"auth_id")->bind("username,nickname,email");
    }

    public function getStatusTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['status']) ? $data['status'] : '');
        $list = $this->getStatusList();
        return isset($list[$value]) ? $list[$value] : '';
    }

    public function getIndexTypeTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['index_type']) ? $data['index_type'] : '');
        $list = $this->getIndexTypeList();
        return isset($list[$value]) ? $list[$value] : '';
    }
    public function course(){
        return self::belongsTo("CourseClassModel",'class_id','id','','left')->setEagerlyType(0);
    }
}
