<?php
/**
 * Created by PhpStorm.
 * User: pc
 * Date: 2022/4/19
 * Time: 15:32
 */


namespace app\index\controller;
use app\admin\model\CourseArticleModel;
use app\common\controller\Backend;
use app\common\controller\Frontend;
use app\common\model\AdModel;
use app\common\model\CourseClassModel;
use think\Config;
use think\Db;

class Article extends Backend
{

    protected $noNeedLogin = '*';
    protected $noNeedRight = '*';
    protected $layout = '';
    protected $pagesize = 10;

    /**
     * @return string
     * 三级分类页面（列表页）
     */
    public function articleList(){
        $class_id = intval($this->request->get('class_id',0));
        $keywords = $this->request->get('keywords','');
        $AdList=AdModel::getAdList(14,1);
        $where =[];
        if(!empty($keywords)){
            $where['title'] = ['like',"%$keywords%"];
        }
        $classTitle=[];
        if($class_id>0){
            $classTitle=CourseClassModel::sourceClassById($class_id);
            $where['class_id'] = $class_id;
        }
        if(in_array($class_id,[41,43,54,51,50])){//教学运行（基本教案，教学案例）
            unset($where['class_id']);
            $run_where['class_id'] = ['in',classify($class_id)];
        }else{
            $run_where = [];
        }
        $where['status'] = 0;//显示状态的文章
        $list = CourseArticleModel::where($where)
            ->where($run_where)
            ->field('*,FROM_UNIXTIME(createtime,"%Y-%m-%d") as createtime_text')
            ->order('createtime desc')
            ->paginate($this->pagesize,false,['query' =>$this->request->param()]);
        foreach ($list as $key => $val){
            $list[$key]['title']=mb_substr_content($val['title'],30);
        }

        $this->view->assign("class_id", $class_id);
        $this->view->assign("keywords", $keywords);
        $this->view->assign("classTitle", $classTitle);
        $this->view->assign("class_id", $class_id);
        $this->view->assign("AdList", $AdList);
        $page = $list->render();
        $total=$list->total();
        $this->view->assign("articleList", $list);
        $this->view->assign("total", $total);
        $this->view->assign("page", $page);
        $this->view->assign("offset", ($list->currentPage() - 1) * $list->listRows() + 1);
        $currenttotal= $list->currentPage() * $list->listRows();
        if ($currenttotal> $list->total()) {
            $currenttotal =  $list->total();
        }
        $this->view->assign("currenttotal", $currenttotal);
        return $this->view->fetch('index/newscatelist');
    }

    /**
     * @return string
     * 文章详情（详情页）
     */
    public function articleDetail(){
        $article_id = $this->request->get('article_id',0);
        $courseArticle = CourseArticleModel::where(['id'=>$article_id])
            ->field('*,FROM_UNIXTIME(createtime,"%Y-%m-%d") as createtime')
            ->find();
        $classTitle=CourseClassModel::sourceClassById($courseArticle['class_id']);
        $prefix = Config::get('database.prefix');
        $recommendArticle= Db::query("select * from  ".$prefix."course_article where id>=(select floor(rand() * (select max(id) from ".$prefix."course_article))) order by id limit 10");
        $upTitle = CourseArticleModel::where(['id' =>['LT',$article_id],'class_id'=>$courseArticle['class_id']])->field("id,title,class_id")->order("id desc")->find();
        $belowTitle = CourseArticleModel::where(['id' =>['GT',$article_id],'class_id'=>$courseArticle['class_id']])->field("id,title,class_id")->order("id asc")->find();
        $this->view->assign("courseArticle", $courseArticle);
        $this->view->assign("classTitle", $classTitle);
        $this->view->assign("recommendArticle", $recommendArticle);
        $this->view->assign("upTitle", $upTitle);
        $this->view->assign("belowTitle", $belowTitle);
        return $this->view->fetch('index/newdetaile');
    }


    ///搜索关键词
    public function searchSkeyword(){
        header('Access-Control-Allow-Origin:*');
        header("Access-Control-Allow-Headers: Origin, X-Requested-With, Content-Type, Accept");
        header('Access-Control-Allow-Methods:GET, POST, OPTIONS');
        $keywords = $this->request->get('keywords','');
        $page = $this->request->get('page',1);
        $pageSize = $this->request->get('pageSize',5);
        $where =[];
        if(!empty($keywords)){
            $where['title'] = ['like',"%$keywords%"];
        }
        $where['status'] = 0;//显示状态的文章
        $total = CourseArticleModel::where($where)
            ->order('createtime desc')
            ->count();
        $list =CourseArticleModel::where($where)
            ->order('createtime desc')
            ->limit($pageSize)
            ->page($page)
            ->select();
        //echo CourseArticleModel::getLastSql();
        $list = collection($list)->toArray();
        foreach ($list as $key => $val){
            $list[$key]['title']=mb_substr_content($val['title'],30);
            $list[$key]['class_name']=CourseClassModel::sourceClassById($val['class_id']);
        }
        $result = array("total" => $total, "rows" => $list);
        return json($result);
    }


    /**
     * 原始无搜索
     */
    /*public function articleList(){
        $class_id = $this->request->get('class_id',0);
        $classTitle=CourseClassModel::sourceClassById($class_id);
        $AdList=AdModel::getAdList(14,1);
        $this->view->assign("classTitle", $classTitle);
        $this->view->assign("class_id", $class_id);
        $this->view->assign("AdList", $AdList);
        return $this->view->fetch('index/newscatelist');
    }
    public function articleListPage(){
        $class_id = $this->request->get('class_id',0);
        $offset = $this->request->get('offset',0);
        $limit = $this->request->get('limit',1);
        $total =CourseArticleModel::where(['class_id'=>$class_id])->count();
        $list = CourseArticleModel::where(['class_id'=>$class_id])->order('createtime desc')
            ->limit($offset, $limit)
            ->field('*,FROM_UNIXTIME(createtime,"%Y-%m-%d") as createtime')
            ->select();
        $list = collection($list)->toArray();
        $result = array("total" => $total, "rows" => $list,'class_id'=>$class_id);
        return json($result);
    }*/



}