<?php


namespace app\index\controller;


use app\common\controller\Backend;
use app\common\controller\Frontend;
use app\common\model\AdModel;
use app\common\model\CourseArticleModel;
use app\common\model\CourseClassModel;
use app\common\model\CourseVideoModel;

/**课程资源
 * Class
 */
class Courseresource extends Backend
{
    protected $noNeedLogin = '*';
    protected $noNeedRight = '*';
    protected $layout = '';

    /**
     *
     */
    public function index(){
        $AdList=AdModel::getAdList(7,1);
        $class_ids=CourseClassModel::ClassField(" id in (50,51,52,53,54,55)","id,title,image_url,pid,index_type","select");
        $child_class_ids_fifty=CourseClassModel::ClassField(" id !=50 and FIND_IN_SET(50,pidexist)","id,title,image_url,pid,index_type","select");
        $child_class_ids_fifty_one=CourseClassModel::ClassField(" id !=51 and FIND_IN_SET(51,pidexist)","id,title,image_url,pid,index_type","select");
        $child_class_ids_fifty_four=CourseClassModel::ClassField(" id !=54 and FIND_IN_SET(54,pidexist)","id,title,image_url,pid,index_type","select");
        //重要论述
        $discusses=[];
        //经典文献
        $classical=[];
        //政工法则
        $labourlaw=[];
        //调研报告
        $investigation=[];
        //研究文章
        $researchArticles=[];
        //影音资料
        $videodata=[];
        $courseVideo=[];

        $pageSize=10;
        foreach ($class_ids as $key=>$val){
            switch ($key){
                case 0:
                    $pageSize=1;
                    $class_ids_fifty=array_column($child_class_ids_fifty,'id');
                    array_push($discusses,['class_title'=>$val['title'],'class_id'=>$val['id']]);
                    array_push($discusses,['data'=>CourseArticleModel::queryArticle(['class_id'=>['in',$class_ids_fifty],'status'=>0,'index_type'=>2],"*",'1',$pageSize)]);
                    break;
                case 1:
                    array_push($classical,['class_title'=>$val['title'],'class_id'=>$val['id']]);
                    break;
                case 2:
                    $pageSize=14;
                    array_push($labourlaw,['class_title'=>$val['title'],'class_id'=>$val['id']]);
                    array_push($labourlaw,['data'=>CourseArticleModel::queryArticle(['class_id'=>$val['id'],'status'=>0],"*,FROM_UNIXTIME(createtime,'%Y-%m-%d') as createtime_text",'1',$pageSize)]);
                    break;
                case 3:
                    $pageSize=14;
                    array_push($investigation,['class_title'=>$val['title'],'class_id'=>$val['id']]);
                    array_push($investigation,['data'=>CourseArticleModel::queryArticle(['class_id'=>$val['id'],'status'=>0],"*,FROM_UNIXTIME(createtime,'%Y-%m-%d') as createtime_text",'1',$pageSize)]);
                    break;
                case 4:
                    array_push($researchArticles,['class_title'=>$val['title'],'class_id'=>$val['id']]);
                    break;
                case 5:
                    $pageSize=4;
                    array_push($videodata,['class_title'=>$val['title'],'class_id'=>$val['id']]);
                    $CourseVideos = CourseVideoModel::alias('cv')
                        ->join('video_sublesson vs','cv.id = vs.video_id')
                        ->where(['cv.class_id' =>$val['id'],'cv.index_type'=>2,'cv.status'=>0])
                        ->order('vs.createtime desc')
                        ->field('cv.*,vs.video_url,vs.id as vid')
                        ->limit($pageSize)
                        ->select();//推荐视频
                //echo CourseVideoModel::getLastSql();
                    array_push($videodata,['data'=>$CourseVideos]);
                    break;
                default:
                    break;
            }
        }
        //研究文章
        foreach ($child_class_ids_fifty_four as $k=>$v){
            $pageSize=12;
            $child_class_ids_fifty_four[$k]['ChildArticle']=CourseArticleModel::queryArticle(['class_id'=>$v['id'],'status'=>0],"*,FROM_UNIXTIME(createtime,'%Y-%m-%d') as createtime_text",'1',$pageSize);
        }
        //经典文献
        foreach ($child_class_ids_fifty_one as $k=>$v){
            $pageSize=18;
            $child_class_ids_fifty_one[$k]['ChildArticle']=CourseArticleModel::queryArticle(['class_id'=>$v['id'],'status'=>0],"*,FROM_UNIXTIME(createtime,'%Y-%m-%d') as createtime_text",'1',$pageSize);
        }
        $this->view->assign("AdList", $AdList);
        $this->view->assign("classIds", $class_ids);
        $this->view->assign("child_class_ids_fifty", $child_class_ids_fifty);
        $this->view->assign("child_class_ids_fifty_one", $child_class_ids_fifty_one);
        $this->view->assign("child_class_ids_fifty_four", $child_class_ids_fifty_four);
        $this->view->assign("discusses", $discusses);
        $this->view->assign("classical", $classical);
        $this->view->assign("labourlaw", $labourlaw);
        $this->view->assign("investigation", $investigation);
        $this->view->assign("researchArticles", $researchArticles);
        $this->view->assign("videodata", $videodata);
        return $this->view->fetch("index/kczyindex");
    }

}