<?php
/**
 * Created by PhpStorm.
 * User: pc
 * Date: 2022/4/19
 * Time: 11:21
 */


namespace app\index\controller;
use app\admin\model\CourseArticleModel;
use app\admin\model\CourseClassModel;
use app\common\controller\Backend;
use app\common\controller\Frontend;


class Dynamic extends Backend
{
    protected $noNeedLogin = '*';
    protected $noNeedRight = '*';
    protected $layout = '';

    /**
     * 二级分类页面
     * @return string
     * 首页
     */
    public function secondDynamic(){
        $dynamic_id = 1;
        $dynamic_class_ids = classify($dynamic_id);
        if($dynamic_class_ids){
            $CourseArticles = CourseArticleModel::where(['class_id' =>['in',$dynamic_class_ids],'index_type'=>2])->order('orderby asc')->limit(3)->select();
            foreach ($CourseArticles as $key => $val){
                $val['content'] = strip_tags($val['content']);
                if (mb_strlen($val['content']) > 45) {
                    $CourseArticles[$key]['content'] = mb_substr($val['content'], 0, 45) . '...';
                }
            }
        }
        $dynamicArticle = CourseArticleModel::where(['class_id' =>['in',$dynamic_class_ids]])->order('createtime desc')->limit(14)->field('id,class_id,title,FROM_UNIXTIME(createtime,"%Y-%m-%d") as createtime_text')->select();
        $dt_banner = get_banner(3,3);
        $this->view->assign("CourseArticles", $CourseArticles);
        $this->view->assign("dynamicArticle", $dynamicArticle);
        $this->view->assign("dynamic_id", $dynamic_id);
        $this->view->assign("dt_banner", $dt_banner);
        return $this->view->fetch('index/zydtindex');
    }

    /**
     * @return string
     * 三级分类页面
     */
    public function thirdDynamic(){
        $class_id = $this->request->get('class_id',0);
        $page = $this->request->get('page',1);
        $dynamicArticle = CourseArticleModel::where(['class_id' =>$class_id,'status' =>1])
            ->order('createtime desc')
            ->page($page)
            ->limit($this->pagesize)
            ->field('*,FROM_UNIXTIME(createtime,"%Y-%m-%d") as createtime')
            ->select();
        $article_count = CourseArticleModel::where(['class_id' =>$class_id,'status' =>1])->count();//文章总数
        $this->view->assign("dynamicArticle", $dynamicArticle);
        return $this->view->fetch();
    }

    /**
     * @return string
     * 文章详情
     */
    public function articleDetail(){
        $article_id = $this->request->get('article_id',0);
        $courseArticle = CourseArticleModel::where(['id' =>$article_id])
            ->field('*,FROM_UNIXTIME(createtime,"%Y-%m-%d") as createtime')
            ->find();
        $this->view->assign("courseArticle", $courseArticle);
        return $this->view->fetch();
    }
}