<?php

namespace app\index\controller;

use app\admin\model\CourseClassModel;
use app\common\controller\Backend;
use app\common\controller\Frontend;
use app\admin\model\CourseArticleModel;
use app\admin\model\AdresourceModel;
use app\common\model\Config as ConfigModel;
use app\common\model\AdModel;
use app\common\model\CourseVideoModel;
use think\Db;
use think\Hook;


class Index extends Backend
{

    protected $noNeedLogin = '*';
    protected $noNeedRight = '*';
    protected $layout = '';
    protected $num = 10;//分页时每页展示数量

    public function _initialize()
    {
        parent::_initialize();
        $userinfo=isset($_COOKIE['userinfo']);
        $userinfo['account']="admin";
        if($userinfo && isset($userinfo['account'])){
            $username= $userinfo['account'];
            $result = $this->auth->adminlogin($username, 86400);
            if ($result === true) {
                Hook::listen("admin_login_after", $this->request);
            } else {
                $msg = $this->auth->getError();
                $msg = $msg ? $msg : __('用户名或密码不正确');
            }
        }
    }

    /**
     * @return string
     * 首页
     */
    public function index()
    {
        $site = ConfigModel::where(['name' =>'name'])->field('value as name')->find();//站点基础设置
        //首页banner
        $indexbanner = get_banner(1,1);
        //专业动态
        $dynamic_id = 1;
        $dynamic_class_ids = classify($dynamic_id);
        if($dynamic_class_ids){
            $CourseArticles = CourseArticleModel::where(['class_id' =>['in',$dynamic_class_ids],'index_type'=>2])->order('orderby asc')->limit(3)->select();
            foreach ($CourseArticles as $key => $val){
                $val['content'] = strip_tags($val['content']);
                if (mb_strlen($val['content']) > 45) {
                    $CourseArticles[$key]['content'] = mb_substr($val['content'], 0, 45) . '...';
                }
            }

            $CourseArticleList = CourseArticleModel::where(['class_id' =>['in',$dynamic_class_ids],'index_type'=>1])->order('createtime desc')->field('*,FROM_UNIXTIME(createtime,"%Y-%m-%d") as date')->limit(6)->select();
           /* foreach ($CourseArticleList as $ke => $va){
                $CourseArticleList[$ke]['title'] = mb_substr_content($va['title'],25);
                $CourseArticleList[$ke]['date'] = date('Y-m-d',$va['createtime']);
            }*/
        }

        //教学公告
        $teach_id = 2;
        $teachclass = CourseClassModel::where(['pid' =>$teach_id])->field('id,title')->select();
        foreach ($teachclass as $key => $val){
            $TeachArticles = CourseArticleModel::where(['class_id' =>$val['id']])->order('createtime desc')->limit(3)->select();
            foreach ($TeachArticles as $k => $v){
                $TeachArticles[$k]['content'] = mb_substr_content($v['content'],55);
                $TeachArticles[$k]['day'] = date('d',$v['createtime']);
                $TeachArticles[$k]['month'] = date('Y-m',$v['createtime']);
            }
            $teachclass[$key]['TeachArticles'] = $TeachArticles;
        }
        //学习强国banner图
        $powerbanner = get_banner(2,2);
        //教学运行
        $teachrun_id = 3;
        $teachrunclass = CourseClassModel::where(['pid' =>$teachrun_id])->field('id,image_url,title')->select();
        foreach ($teachrunclass as $key => $val){
            if($val['id'] == 45){//在线课堂
                $TeachRunArticles = CourseVideoModel::where(['class_id' =>$val['id']])->order('createtime desc')->field('*,FROM_UNIXTIME(createtime,"%Y-%m-%d") as date')->limit(5)->select();
            }elseif($val['id'] == 41 || $val['id'] == 43){
                $run_class_ids = [];
                $teachsubclass = CourseClassModel::where(['pid' =>$val['id']])->field('id')->select();
                foreach ($teachsubclass as $sub_ke => $sub_va){
                    array_push($run_class_ids,$sub_va['id']);
                }
                $TeachRunArticles = CourseArticleModel::where(['class_id' =>['in',$run_class_ids]])->order('createtime desc')->field('*,FROM_UNIXTIME(createtime,"%Y-%m-%d") as date')->limit(5)->select();
            }else{
                $TeachRunArticles = CourseArticleModel::where(['class_id' =>$val['id']])->order('createtime desc')->field('*,FROM_UNIXTIME(createtime,"%Y-%m-%d") as date')->limit(5)->select();
            }
            /* foreach ($TeachRunArticles as $k => $v){
                 $TeachRunArticles[$k]['title'] = mb_substr_content($v['title'],25);
                 $TeachRunArticles[$k]['date'] = date('Y-m-d',$v['createtime']);
             }*/
            $teachrunclass[$key]['TeachArticles'] = $TeachRunArticles;
        }
        //课程资源
        $course_id = 4;
        $courseclass = CourseClassModel::where(['pid' =>$course_id])->field('id,image_url,title')->select();
        //教研成果
        $scientific_id = 5;
        $scientificclass = CourseClassModel::where(['pid' =>$scientific_id])->field('id,image_url,title')->select();
        //教学团队
        $team_id = 9;
        $teach_team = CourseArticleModel::where(['class_id' =>$team_id])->field('id,image_url,title,content')->limit(12)->order('createtime desc')->select();
        foreach ($teach_team as $k => $v){
            $teach_team[$k]['content'] = mb_substr_content($v['content'],15);
        }
        //课后作业
        $kh_banner = get_banner(16,13);
        //优秀作业
        $yx_banner = get_banner(17,14);
        //互动讨论
        $hd_banner = get_banner(21,	16);
        //战时政治工作
        $zs_banner = get_banner(19,17);
        //文体俱乐部
        $wt_banner = get_banner(20,18);
        //资源管理
        $resource = AdresourceModel::where(['closed' =>0])->order('orderby asc')->field('ad_id,link_url,photo')->limit(16)->select();
        $this->view->assign("site", $site);
        $this->view->assign("dynamic_id", $dynamic_id);
        $this->view->assign("indexbanner", $indexbanner);
        $this->view->assign("CourseArticles", $CourseArticles);
        $this->view->assign("CourseArticleList", $CourseArticleList);
        $this->view->assign("powerbanner", $powerbanner);
        $this->view->assign("teachclass", $teachclass);
        $this->view->assign("teachrunclass", $teachrunclass);
        $this->view->assign("courseclass", $courseclass);
        $this->view->assign("scientificclass", $scientificclass);
        $this->view->assign("teach_team", $teach_team);
        $this->view->assign("resource", $resource);
        $this->view->assign("kh_banner", $kh_banner);
        $this->view->assign("yx_banner", $yx_banner);
        $this->view->assign("hd_banner", $hd_banner);
        $this->view->assign("zs_banner", $zs_banner);
        $this->view->assign("wt_banner", $wt_banner);

        return $this->view->fetch();
    }
}
