<?php


namespace app\index\controller;


use app\common\controller\Backend;
use app\common\controller\Frontend;
use app\common\model\AdModel;
use app\common\model\CourseArticleModel;
use app\common\model\CourseClassModel;

class Scientific extends Backend
{

    protected $noNeedLogin = '*';
    protected $noNeedRight = '*';
    protected $layout = '';


    public function index(){
        $AdList=AdModel::getAdList(9,1);
        $class_ids=CourseClassModel::ClassField("  id in (60,61,62,63)","id,title,image_url,pid,index_type","select");
        //获奖成果
        $accomplishments=[];
        //学术著作
        $scholarlywork=[];
        //学术文章
        $scholarlyarticle=[];
        //科研课程
        $scientificcourse=[];
        $pageSize=6;
        foreach ($class_ids as $key=>$val) {
            switch ($key) {
                case 0:
                    $pageSize = 5;
                    array_push($accomplishments, ['class_title' => $val['title'], 'class_id' => $val['id']]);
                    array_push($accomplishments, ['data' => CourseArticleModel::queryArticle(['class_id' => $val['id'], 'status' => 0], "*,FROM_UNIXTIME(createtime,'%Y-%m-%d') as createtime_text", '1', $pageSize)]);
                    break;
                case 1:
                    $pageSize=18;
                    array_push($scholarlywork, ['class_title' => $val['title'], 'class_id' => $val['id']]);
                    array_push($scholarlywork, ['data' => CourseArticleModel::queryArticle(['class_id' => $val['id'], 'status' => 0,'index_type'=>2], "*", '1', $pageSize)]);
                    break;
                case 2:
                    $pageSize=6;
                    array_push($scholarlyarticle, ['class_title' => $val['title'], 'class_id' => $val['id']]);
                    array_push($scholarlyarticle, ['data' => CourseArticleModel::queryArticle(['class_id' => $val['id'], 'status' => 0], "*,FROM_UNIXTIME(createtime,'%Y-%m-%d') as createtime_text", '1', $pageSize)]);
                    break;
                case 3:
                    $pageSize=6;
                    array_push($scientificcourse, ['class_title' => $val['title'], 'class_id' => $val['id']]);
                    array_push($scientificcourse, ['data' => CourseArticleModel::queryArticle(['class_id' => $val['id'], 'status' => 0], "*,FROM_UNIXTIME(createtime,'%Y-%m-%d') as createtime_text", '1', $pageSize)]);
                    break;
                default:
                    break;
            }
        }
        $this->view->assign("AdList", $AdList);
        $this->view->assign("classIds", $class_ids);
        $this->view->assign("accomplishments", $accomplishments);
        $this->view->assign("scholarlywork", $scholarlywork);
        $this->view->assign("scholarlyarticle", $scholarlyarticle);
        $this->view->assign("scientificcourse", $scientificcourse);
        return $this->view->fetch("index/jyjgindex");
    }

}