<?php
/**
 * Created by PhpStorm.
 * User: pc
 * Date: 2022/4/19
 * Time: 16:01
 */

namespace app\index\controller;
use app\admin\model\CourseArticleModel;
use app\admin\model\CourseClassModel;
use app\admin\model\CourseVideoModel;
use app\admin\model\VideoSublessonModel;
use app\common\controller\Backend;
use app\common\controller\Frontend;
use think\Hook;
use think\Loader;
use think\Session;

class Teachrun extends Backend
{
    protected $noNeedLogin = '*';
    protected $noNeedRight = '*';
    protected $layout = '';

    /**
     * 教学运行二级分类页面
     * @return string
     */
    public function secondTeachrun(){
        $controllername = Loader::parseName($this->request->controller());
        $actionname = strtolower($this->request->action());
        $path = str_replace('.', '/', $controllername) . '/' . $actionname;
        $teachrun_id = 2;
        $teachrunclass = CourseClassModel::where(['pid' =>$teachrun_id])->field('id,title')->select();
        $this->view->assign("teachrunclass", $teachrunclass);
        //教学文件
        $Teachfiles = CourseArticleModel::where(['class_id' =>40])->order('createtime desc')->field('*,FROM_UNIXTIME(createtime,"%Y-%m-%d") as createtime_text')->limit(14)->select();
        $this->view->assign("Teachfiles", $Teachfiles);
        //基本教案
        $Basiclessonclass=[];
        if ($this->auth->check($path)) {
            Hook::listen('admin_nopermission', $this);
            $Basiclessonclass = CourseClassModel::where(['pid' =>41])->field('id,title')->select();
            foreach ($Basiclessonclass as $key => $val){
                $BasiclessonArticles = CourseArticleModel::where(['class_id' =>$val['id']])->order('createtime desc')->field('*,FROM_UNIXTIME(createtime,"%Y-%m-%d") as createtime_text')->limit(14)->select();
                foreach ($BasiclessonArticles as $k => $v){
                    $BasiclessonArticles[$k]['title'] = mb_substr_content($v['title'],25);
                }
                $Basiclessonclass[$key]['BasiclessonArticles'] = $BasiclessonArticles;
            }
         }
        $this->view->assign("Basiclessonclass",$Basiclessonclass);
        //自编教材
        $selfteach = CourseArticleModel::where(['class_id' =>42])->order('createtime desc')->field('*,FROM_UNIXTIME(createtime,"%Y-%m-%d") as createtime_text')->limit(10)->select();
        $this->view->assign("selfteach", $selfteach);
        //教学案例
        $teachcaseclass = CourseClassModel::where(['pid' =>43])->field('id,title')->select();
        foreach ($teachcaseclass as $key => $val){
            $teachcaseArticles = CourseArticleModel::where(['class_id' =>$val['id'],'index_type'=>2])->order('orderby asc')->limit(3)->select();
            foreach ($teachcaseArticles as $k => $v){
                $teachcaseArticles[$k]['content'] = mb_substr_content($v['content'],55);
            }
            $teachcaseclass[$key]['TeachArticles'] = $teachcaseArticles;
        }
        //底部教学案例
        $teachcase_arr = classify(43);
        $bottomteachcaseArticles = CourseArticleModel::where(['index_type'=>2])
            ->where(['class_id' =>['in',$teachcase_arr]])
            ->order('orderby asc')
            ->limit(7)
            ->select();
        $this->view->assign("teachcaseclass", $teachcaseclass);
        $this->view->assign("bottomteachcaseArticles", $bottomteachcaseArticles);
        //政工想定
        $politicalcase = CourseArticleModel::where(['class_id' =>44])->order('createtime desc')->field('*,FROM_UNIXTIME(createtime,"%Y-%m-%d") as createtime_text')->limit(14)->select();
        $this->view->assign("politicalcase", $politicalcase);
        //在线课堂
        $CourseVideos = CourseVideoModel::alias('cv')
            ->join('video_sublesson vs','cv.id = vs.video_id')
            ->where(['cv.class_id' =>45,'cv.index_type'=>2,'cv.status'=>0])
            ->order('vs.createtime desc')
            ->field('cv.*,vs.video_url,vs.id as vid')
            ->limit(4)
            ->select();//推荐视频
        $runbanner = get_banner(5,5);
        $this->view->assign("runbanner", $runbanner);
        $this->view->assign("atu", $runbanner);
        $this->view->assign("Video_class_id", 45);
        $this->view->assign("CourseVideos", $CourseVideos);
        return $this->view->fetch('index/jxyxindex');
    }
}