<?php
/**
 * Created by PhpStorm.
 * User: pc
 * Date: 2022/4/26
 * Time: 17:21
 */

namespace app\index\controller;
use app\common\controller\Backend;
use app\common\controller\Frontend;
use app\common\model\AdModel;
use app\common\model\CourseClassModel;
use app\common\model\CourseVideoModel;
use app\common\model\VideoSublessonModel;


class Video extends Backend {

    protected $noNeedLogin = '*';
    protected $noNeedRight = '*';
    protected $layout = '';
    protected $num = 15;

    /**
     * @return string
     * 三级分类页面（视频列表页）
     */
    public function videoList(){
        $class_id = $this->request->get('class_id',0);
        $AdList=AdModel::getAdList(15,1);
        $classTitle= CourseClassModel::sourceClassById($class_id);
        $keywords = $this->request->get('keywords','');
        $where = ['class_id' =>$class_id,'status' =>0];
        if(!empty($keywords)){
            $where['title'] = ['like',"%$keywords%"];

        }
        $list = CourseVideoModel::where($where)
            ->order('createtime desc')
            ->field('*,FROM_UNIXTIME(createtime,"%Y-%m-%d") as createtime')
            ->paginate($this->num,false,['query' =>$where]);
        foreach ($list as $key => $val){
            $list[$key]['filename']=$val['title'];
            $list[$key]['title']=mb_substr_content($val['title'],10);
            $list[$key]['sub_num'] = VideoSublessonModel::where(['video_id' =>$val['id']])->count();
            $list[$key]['vid'] = VideoSublessonModel::where(['video_id' =>$val['id']])->order("createtime asc")->value('id');
        }
        $this->view->assign("class_id", $class_id);
        $this->view->assign("keywords", $keywords);
        $this->view->assign("AdList", $AdList);
        $this->view->assign("classTitle", $classTitle);
        $page = $list->render();
        $total=$list->total();
        $this->view->assign("videoList", $list);
        $this->view->assign("total", $total);
        $this->view->assign("page", $page);
        $this->view->assign("offset", ($list->currentPage() - 1) * $list->listRows() + 1);
        $currenttotal= $list->currentPage() * $list->listRows();
        if ($currenttotal> $list->total()) {
            $currenttotal =  $list->total();
        }
        $this->view->assign("currenttotal", $currenttotal);
        return $this->view->fetch('index/onlineclass');
    }

    //视频详情
    public function videoDetails(){
        $video_id=$this->request->get('video_id','');
        $vid=$this->request->get('vid','');

        $themeVideo = CourseVideoModel::alias('cv')
            ->join('video_sublesson vs','cv.id = vs.video_id','left')
            ->where(['vs.video_id'=>$video_id])
            ->field('*,FROM_UNIXTIME(vs.createtime,"%Y-%m-%d") as createtime_text')
            ->order("vs.createtime","asc")
            ->find();
//echo CourseVideoModel::getLastSql();
        $classTitle= CourseClassModel::sourceClassById($themeVideo['class_id']);
        $videoSublesson=VideoSublessonModel::queryVideo(['video_id'=>$video_id,'status'=>0],"*,FROM_UNIXTIME(createtime,'%Y-%m-%d') as createtime_text",'1',10000,"createtime asc");
        if(!empty($vid)){
            $themeVideo = VideoSublessonModel::where(['id'=>$vid])
                ->field('*,FROM_UNIXTIME(createtime,"%Y-%m-%d") as createtime_text')->find();
        }
        $this->view->assign("video_id", $video_id);
        $this->view->assign("vid", $vid);
        $this->view->assign("classTitle", $classTitle);
        $this->view->assign("themeVideo", $themeVideo);
        $this->view->assign("videoSublesson", $videoSublesson);
        return $this->view->fetch('index/videoviewing');
    }


}
