define(['jquery', 'bootstrap', 'backend', 'table', 'form'], function ($, undefined, Backend, Table, Form) {

    var Controller = {
        index: function () {
            // 初始化表格参数配置
            Table.api.init({
                extend: {
                    index_url: 'article/ad/ad/index' + location.search,
                    add_url: 'article/ad/ad/add',
                    edit_url: 'article/ad/ad/edit',
                    del_url: 'article/ad/ad/del',
                    multi_url: 'article/ad/ad/multi',
                    table: 'ad',
                }
            });

            var table = $("#table");

            // 初始化表格
            table.bootstrapTable({
                url: $.fn.bootstrapTable.defaults.extend.index_url,
                pk: 'ad_id',
                sortName: 'ad_id',//默认排序字段
                sortOrder:'desc',//默认排序方式
                columns: [
                    [
                        {checkbox: true},
                        {field: 'ad_id', title: __('Ad_id'),operate:false, sortable:true},     //字段使用排序
                        {field: 'adsite.site_name', title: __('Site_id')},
                        {field: 'title', title: __('Title')},
                        {field: 'link_url', title: __('Link_url'),operate:false, formatter: Table.api.formatter.url},
                        {field: 'photo', title: __('Photo'),operate:false, events: Table.api.events.image, formatter: Table.api.formatter.image},
                        {field: 'bg_date', title: __('Bg_date'), operate:'RANGE', addclass:'datetimerange'},
                        {field: 'end_date', title: __('End_date'), operate:'RANGE', addclass:'datetimerange'},
                        {field: 'closed', title: __('Closed'),searchList: {"0":__('closed 0'),"1":__('closed 1')}, formatter: Table.api.formatter.status},
                        {field: 'orderby', title: __('Orderby'),operate:false},
                        {field: 'subtitle', title: __('Subtitle')},
                        {field: 'operate', title: __('Operate'), table: table, events: Table.api.events.operate, formatter: Table.api.formatter.operate}
                    ]
                ]
            });

            // 为表格绑定事件
            Table.api.bindevent(table);
        },
        add: function () {
            Controller.api.bindevent();
        },
        edit: function () {
            Controller.api.bindevent();
        },
        api: {
            bindevent: function () {
                Form.api.bindevent($("form[role=form]"));
            }
        }
    };
    return Controller;
});