define(['jquery', 'bootstrap', 'backend', 'table', 'form'], function ($, undefined, Backend, Table, Form) {

    var Controller = {
        index: function () {
            // 初始化表格参数配置
            Table.api.init({
                extend: {
                    index_url: 'article/ad/adsite/index' + location.search,
                    add_url: 'article/ad/adsite/add',
                    edit_url: 'article/ad/adsite/edit',
                    del_url: 'article/ad/adsite/del',
                    multi_url: 'article/ad/adsite/multi',
                    table: 'ad_site',
                }
            });

            var table = $("#table");

            // 初始化表格
            table.bootstrapTable({
                url: $.fn.bootstrapTable.defaults.extend.index_url,
                pk: 'site_id',
                sortName: 'site_id',
                columns: [
                    [
                        {checkbox: true},
                        {field: 'site_id', title: __('Site_id')},
                        {field: 'site_name', title: __('Site_name')},
                        {field: 'site_type', title: __('Site_type'), searchList: {"1":__('Site_type 1'),"2":__('Site_type 2'),"3":__('Site_type 3')}, formatter: Table.api.formatter.normal},
                        {field: 'operate', title: __('Operate'), table: table, events: Table.api.events.operate, formatter: Table.api.formatter.operate}
                    ]
                ]
            });

            // 为表格绑定事件
            Table.api.bindevent(table);
        },
        add: function () {
            Controller.api.bindevent();
        },
        edit: function () {
            Controller.api.bindevent();
        },
        api: {
            bindevent: function () {
                Form.api.bindevent($("form[role=form]"));
            }
        }
    };
    return Controller;
});