define(['jquery', 'bootstrap', 'backend', 'table', 'form'], function ($, undefined, Backend, Table, Form) {

    var Controller = {
        index: function () {
            // 初始化表格参数配置
            Table.api.init({
                extend: {
                    index_url: 'article/sportsclub/sportsclubclass/index' + location.search,
                    add_url: 'article/sportsclub/sportsclubclass/add',
                    edit_url: 'article/sportsclub/sportsclubclass/edit',
                    del_url: 'article/sportsclub/sportsclubclass/del',
                    multi_url: 'article/sportsclub/sportsclubclass/multi',
                    table: 'course_article',
                }
            });

            var table = $("#table");

            // 初始化表格
            table.bootstrapTable({
                url: $.fn.bootstrapTable.defaults.extend.index_url,
                pk: 'id',
                sortName: 'id',//默认排序字段
                sortOrder:'desc',//默认排序方式
                columns: [
                    [
                        {checkbox: true},
                        {field: 'id', title: __('ID'),operate:false, sortable:true},     //字段使用排序
                        {field: 'title', title: __('Title')},
                        {field: 'image_url', title: __('Image_url'),operate:false, events: Table.api.events.image, formatter: Table.api.formatter.image},
                        {field: 'status', align: 'center', title: __('Status'),searchList: {"0":__('Status 0'),"1":__('Status 1')}, formatter: Controller.toggle},
                        {field: 'index_type', align: 'center', title: __('Index_type'),searchList: {"2":__('Index_type 2'),"1":__('Index_type 1')}, formatter: Controller.toggle},
                        {field: 'orderby', title: __('Orderby'),operate:false},
                        {field: 'createtime', title: __('Createtime'), operate:'RANGE', addclass:'datetimerange', formatter: Table.api.formatter.datetime},
                        {field: 'admin.username', title: __('Auth_id'),operate:false},
                        {field: 'operate', title: __('Operate'), table: table, events: Table.api.events.operate, formatter: Table.api.formatter.operate}
                    ]
                ]
            });

            // 为表格绑定事件
            Table.api.bindevent(table);
        },
        add: function () {
            Controller.api.bindevent();
        },
        edit: function () {
            Controller.api.bindevent();
        },
        toggle: function (value, row, index) {
            var table = this.table;
            var options = table ? table.bootstrapTable('getOptions') : {};
            var pk = options.pk || "id";
            var color = typeof this.color !== 'undefined' ? this.color : 'success';
            var yes = typeof this.yes !== 'undefined' ? this.yes : 0;
            var no = typeof this.no !== 'undefined' ? this.no : 1;
            var url = typeof this.url !== 'undefined' ? this.url : '';
            var disable = false;
            if (typeof this.disable !== "undefined") {
                disable = typeof this.disable === "function" ? this.disable.call(this, value, row, index) : this.disable;
            }
            return "<a href='javascript:;' data-toggle='tooltip' title='" + __('Click to toggle') + "' class='btn-change " + (disable ? 'btn disabled' : '') + "' data-id='"
                + row[pk] + "' " + (url ? "data-url='" + url + "'" : "") + " data-params='" + this.field + "=" + (value == yes ? no : yes) + "'><i class='fa fa-toggle-on " + (value == yes ? 'text-' + color : 'fa-flip-horizontal text-gray') + " fa-2x'></i></a>";
        },
        api: {
            bindevent: function () {
                Form.api.bindevent($("form[role=form]"));
            },
        }
    };
    return Controller;
});