define(['jquery', 'bootstrap', 'backend', 'table', 'form'], function ($, undefined, Backend, Table, Form) {

    var Controller = {
        index: function () {
            // 初始化表格参数配置
            Table.api.init({
                extend: {
                    index_url: 'video/course/coursevideo/index' + location.search,
                    add_url: 'video/course/coursevideo/add',
                    edit_url: 'video/course/coursevideo/edit',
                    del_url: 'video/course/coursevideo/del',
                    multi_url: 'video/course/coursevideo/multi',
                    table: 'course_video',
                }
            });

            var table = $("#table");

            // 初始化表格
            table.bootstrapTable({
                url: $.fn.bootstrapTable.defaults.extend.index_url,
                pk: 'id',
                sortName: 'id',//默认排序字段
                sortOrder:'desc',//默认排序方式
                columns: [
                    [
                        {checkbox: true},
                        {field: 'id', title: __('ID'),operate:false, sortable:true},     //字段使用排序
                        {field: 'title', title: __('Title'),operate:'LIKE'},
                        {field: 'upload_name', title: __('Upload_name')},
                        {field: 'image_url', title: __('Image_url'),operate:false, events: Table.api.events.image, formatter: Table.api.formatter.image},
                        {field: 'introduction', title: __('introduction'), operate: 'LIKE',cellStyle: {css: {"max-width": "300px","white-space":"pre-line","word-wrap":"break-word","word-break":"break-all"}}},
                        {field: 'status', title: __('Status'),searchList: {"0":__('status 0'),"1":__('status 1')}, formatter: Table.api.formatter.status},
                        {field: 'index_type', title: __('indexType'),searchList: {"1":__('indexType 1'),"2":__('indexType 2')}, formatter: Table.api.formatter.status},
                        {field: 'nickname', title: __('Auth_id'),operate:false},
                        {field: 'course.title', title: __('上级分类')},
                        {field: 'operate', title: __('Operate'), table: table, events: Table.api.events.operate, formatter: Table.api.formatter.operate,
                            buttons: [
                                {
                                    name: 'detail',
                                    text: __('章节详情'),
                                    title: __('章节详情'),
                                    classname: 'btn btn-xs btn-info btn-addtabs',
                                    icon: 'fa fa-eye',
                                    url: 'video/course/coursevideo/detail'
                                }
                            ],
                        }
                    ]
                ]
            });

            // 为表格绑定事件
            Table.api.bindevent(table);
        },
        add: function () {
            Controller.api.bindevent();
        },
        edit: function () {
            Controller.api.bindevent();
        },
        detail: function () {
            var video_id = $('#video_id').val();

            // 初始化表格参数配置
            Table.api.init({
                extend: {
                    index_url: 'video/course/videosublesson/index?video_id=' + video_id,
                    add_url: 'video/course/videosublesson/add',
                    edit_url: 'video/course/videosublesson/edit',
                    del_url: 'video/course/videosublesson/del',
                    multi_url: 'video/course/videosublesson/multi',
                    table: 'video_sublesson',
                }
            });

            var table = $("#table");
            // 初始化表格
            table.bootstrapTable({
                url: $.fn.bootstrapTable.defaults.extend.index_url,
                pk: 'id',
                sortName: 'id',//默认排序字段
                sortOrder:'desc',//默认排序方式
                columns: [
                    [
                        {checkbox: true},
                        {field: 'id', title: __('ID'), sortable:true},     //字段使用排序
                        {field: 'title', title: __('Title'),operate:'LIKE'},
                        {field: 'upload_name', title: __('Upload_name')},
                        {field: 'sub_id', title: __('sub_id')},
                        {field: 'introduction', title: __('introduction'), operate: 'LIKE',cellStyle: {css: {"max-width": "300px","white-space":"pre-line","word-wrap":"break-word","word-break":"break-all"}}},
                        {field: 'status', title: __('Status'),searchList: {"0":__('status 0'),"1":__('status 1')}, formatter: Table.api.formatter.status},
                        {field: 'nickname', title: __('Auth_id')},
                        {field: 'operate', title: __('Operate'), table: table, events: Table.api.events.operate, formatter: Table.api.formatter.operate
                        }
                    ]
                ]
            });
            // 为表格绑定事件
            Table.api.bindevent(table);
            Controller.api.bindevent();
        },
        api: {
            bindevent: function () {
                Form.api.bindevent($("form[role=form]"));
            },
            formatter: {
                thumb: function (value, row, index) {
                    var html = '';
                    var annex = [];
                        annex = row.annex_url.split(',')
                    console.log(annex);
                    for(let i = 0; i < annex.length ; i++){
                        if (annex[0]){
                            var suffix= [];
                            suffix=annex[i].split('.');
                            html += '<a href="' + annex[i] + '" target="_blank"><img src="' + Fast.api.fixurl("ajax/icon") + "?suffix=" + suffix[suffix.length-1] + '" alt="zifuc" style="max-height:90px;max-width:80px"></a>';
                        }
                    }
                    return '<div style="width:300px;white-space:pre-line;word-wrap:break-word;word-break:break-all; margin:0 auto;text-align:center;white-space: nowrap;text-overflow: ellipsis;">' + html + '</div>';
                },
                url: function (value, row, index) {
                    return '<a href="' + row.annex_url + '" target="_blank" class="label bg-green">' + row.annex_url + '</a>';
                },
                filename: function (value, row, index) {
                    return '<div style="width:150px;margin:0 auto;text-align:center;overflow:hidden;white-space: nowrap;text-overflow: ellipsis;">' + Table.api.formatter.search.call(this, value, row, index) + '</div>';
                },
                mimetype: function (value, row, index) {
                   // return '<div style="width:80px;margin:0 auto;text-align:center;overflow:hidden;white-space: nowrap;text-overflow: ellipsis;">' + Table.api.formatter.search.call(this, value, row, index) + '</div>';
                },
            }
        }
    };
    return Controller;
});